C******************** START FILE UCBUFX.FOR ; GROUP UEDTS2 ******************
C-------------------------------------------
C&  UCBUFX  TYPE OUT LAST THREE LINES OF INPUT TO UREAD SYSTEM
C
C  DUMP OUT LAST FEW LINES OF SAVED INPUT IN EVENT OF ERROR
C  SEE SUBROUTINE UCBUFP ABOVE
C
      SUBROUTINE UCBUFX
C
      USE USERIO
C
      IF(NSAVED.EQ.0) RETURN
C
      WRITE(LUNTRM,1001) NSAVED
 1001 FORMAT(/' PREVIOUS ',I1,' LINES FROM INDIRECT INPUT FILE:'/)
C
      DO 10 I=NSAVED,1,-1
      DO 9 IC=LBUFF,2,-1
      IF(CBUFFP(I)(IC:IC).NE.' ') GO TO 8
 9    CONTINUE
 8    WRITE(LUNTRM,1002) CBUFFP(I)(1:IC)
 10   CONTINUE
 1002 FORMAT(1X,A)
C
      RETURN
      	END
C******************** END FILE UCBUFX.FOR ; GROUP UEDTS2 ******************
